org.apache.cassandra.thrift

## Class TokenRange

- java.lang.Object
- - org.apache.cassandra.thrift.TokenRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TokenRange>, org.apache.thrift.TBase<TokenRange,TokenRange._Fields>

    public class TokenRange
    extends java.lang.Object
    implements org.apache.thrift.TBase<TokenRange,TokenRange._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TokenRange>

A TokenRange describes part of the Cassandra ring, it is a mapping from a range to endpoints responsible for that range.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TokenRange._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.lang.String` `end_token`
`java.util.List<EndpointDetails>` `endpoint_details`
`java.util.List<java.lang.String>` `endpoints`
`static java.util.Map<TokenRange._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.util.List<java.lang.String>` `rpc_endpoints`
`java.lang.String` `start_token`

### Constructor Summary

Constructors
Constructor and Description
`TokenRange()`
`TokenRange(java.lang.String start_token, java.lang.String end_token, java.util.List<java.lang.String> endpoints)`
`TokenRange(TokenRange other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToEndpoint_details(EndpointDetails elem)`
`void` `addToEndpoints(java.lang.String elem)`
`void` `addToRpc_endpoints(java.lang.String elem)`
`void` `clear()`
`int` `compareTo(TokenRange other)`
`TokenRange` `deepCopy()`
`boolean` `equals(java.lang.Object that)`
`boolean` `equals(TokenRange that)`
`TokenRange._Fields` `fieldForId(int fieldId)`
`java.lang.String` `getEnd_token()`
`java.util.List<EndpointDetails>` `getEndpoint_details()`
`java.util.Iterator<EndpointDetails>` `getEndpoint_detailsIterator()`
`int` `getEndpoint_detailsSize()`
`java.util.List<java.lang.String>` `getEndpoints()`
`java.util.Iterator<java.lang.String>` `getEndpointsIterator()`
`int` `getEndpointsSize()`
`java.lang.Object` `getFieldValue(TokenRange._Fields field)`
`java.util.List<java.lang.String>` `getRpc_endpoints()`
`java.util.Iterator<java.lang.String>` `getRpc_endpointsIterator()`
`int` `getRpc_endpointsSize()`
`java.lang.String` `getStart_token()`
`int` `hashCode()`
`boolean` `isSet(TokenRange._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetEnd_token()` Returns true if field end_token is set (has been assigned a value) and false otherwise
`boolean` `isSetEndpoint_details()` Returns true if field endpoint_details is set (has been assigned a value) and false otherwise
`boolean` `isSetEndpoints()` Returns true if field endpoints is set (has been assigned a value) and false otherwise
`boolean` `isSetRpc_endpoints()` Returns true if field rpc_endpoints is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_token()` Returns true if field start_token is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`TokenRange` `setEnd_token(java.lang.String end_token)`
`void` `setEnd_tokenIsSet(boolean value)`
`TokenRange` `setEndpoint_details(java.util.List<EndpointDetails> endpoint_details)`
`void` `setEndpoint_detailsIsSet(boolean value)`
`TokenRange` `setEndpoints(java.util.List<java.lang.String> endpoints)`
`void` `setEndpointsIsSet(boolean value)`
`void` `setFieldValue(TokenRange._Fields field, java.lang.Object value)`
`TokenRange` `setRpc_endpoints(java.util.List<java.lang.String> rpc_endpoints)`
`void` `setRpc_endpointsIsSet(boolean value)`
`TokenRange` `setStart_token(java.lang.String start_token)`
`void` `setStart_tokenIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetEnd_token()`
`void` `unsetEndpoint_details()`
`void` `unsetEndpoints()`
`void` `unsetRpc_endpoints()`
`void` `unsetStart_token()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### start_token

    public java.lang.String start_token

#### end_token

    public java.lang.String end_token

#### endpoints

    public java.util.List<java.lang.String> endpoints

#### rpc_endpoints

    public java.util.List<java.lang.String> rpc_endpoints

#### endpoint_details

    public java.util.List<EndpointDetails> endpoint_details

#### metaDataMap

    public static final java.util.Map<TokenRange._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TokenRange

    public TokenRange()

#### TokenRange

    public TokenRange(java.lang.String start_token,
                      java.lang.String end_token,
                      java.util.List<java.lang.String> endpoints)

#### TokenRange

    public TokenRange(TokenRange other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TokenRange deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`

#### getStart_token

    public java.lang.String getStart_token()

#### setStart_token

    public TokenRange setStart_token(java.lang.String start_token)

#### unsetStart_token

    public void unsetStart_token()

#### isSetStart_token

    public boolean isSetStart_token()

Returns true if field start_token is set (has been assigned a value) and false otherwise

#### setStart_tokenIsSet

    public void setStart_tokenIsSet(boolean value)

#### getEnd_token

    public java.lang.String getEnd_token()

#### setEnd_token

    public TokenRange setEnd_token(java.lang.String end_token)

#### unsetEnd_token

    public void unsetEnd_token()

#### isSetEnd_token

    public boolean isSetEnd_token()

Returns true if field end_token is set (has been assigned a value) and false otherwise

#### setEnd_tokenIsSet

    public void setEnd_tokenIsSet(boolean value)

#### getEndpointsSize

    public int getEndpointsSize()

#### getEndpointsIterator

    public java.util.Iterator<java.lang.String> getEndpointsIterator()

#### addToEndpoints

    public void addToEndpoints(java.lang.String elem)

#### getEndpoints

    public java.util.List<java.lang.String> getEndpoints()

#### setEndpoints

    public TokenRange setEndpoints(java.util.List<java.lang.String> endpoints)

#### unsetEndpoints

    public void unsetEndpoints()

#### isSetEndpoints

    public boolean isSetEndpoints()

Returns true if field endpoints is set (has been assigned a value) and false otherwise

#### setEndpointsIsSet

    public void setEndpointsIsSet(boolean value)

#### getRpc_endpointsSize

    public int getRpc_endpointsSize()

#### getRpc_endpointsIterator

    public java.util.Iterator<java.lang.String> getRpc_endpointsIterator()

#### addToRpc_endpoints

    public void addToRpc_endpoints(java.lang.String elem)

#### getRpc_endpoints

    public java.util.List<java.lang.String> getRpc_endpoints()

#### setRpc_endpoints

    public TokenRange setRpc_endpoints(java.util.List<java.lang.String> rpc_endpoints)

#### unsetRpc_endpoints

    public void unsetRpc_endpoints()

#### isSetRpc_endpoints

    public boolean isSetRpc_endpoints()

Returns true if field rpc_endpoints is set (has been assigned a value) and false otherwise

#### setRpc_endpointsIsSet

    public void setRpc_endpointsIsSet(boolean value)

#### getEndpoint_detailsSize

    public int getEndpoint_detailsSize()

#### getEndpoint_detailsIterator

    public java.util.Iterator<EndpointDetails> getEndpoint_detailsIterator()

#### addToEndpoint_details

    public void addToEndpoint_details(EndpointDetails elem)

#### getEndpoint_details

    public java.util.List<EndpointDetails> getEndpoint_details()

#### setEndpoint_details

    public TokenRange setEndpoint_details(java.util.List<EndpointDetails> endpoint_details)

#### unsetEndpoint_details

    public void unsetEndpoint_details()

#### isSetEndpoint_details

    public boolean isSetEndpoint_details()

Returns true if field endpoint_details is set (has been assigned a value) and false otherwise

#### setEndpoint_detailsIsSet

    public void setEndpoint_detailsIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(TokenRange._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(TokenRange._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`

#### isSet

    public boolean isSet(TokenRange._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(TokenRange that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(TokenRange other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<TokenRange>`

#### fieldForId

    public TokenRange._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<TokenRange,TokenRange._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`